package com.yunfeiyun.agmp.common.web.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 角色和菜单关联 sysRolemenu
 * 
 * @author 杨晓辉
 */
public class SysRoleMenu
{
    /** ID */
    private String roleMenuId;
    /** 角色ID */
    private String roleId;
    
    /** 菜单ID */
    private String menuId;

    public String getRoleMenuId()
    {
        return roleMenuId;
    }

    public void setRoleMenuId(String roleMenuId)
    {
        this.roleMenuId = roleMenuId;
    }

    public String getRoleId()
    {
        return roleId;
    }

    public void setRoleId(String roleId)
    {
        this.roleId = roleId;
    }

    public String getMenuId()
    {
        return menuId;
    }

    public void setMenuId(String menuId)
    {
        this.menuId = menuId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("roleId", getRoleId())
            .append("menuId", getMenuId())
            .toString();
    }
}
